Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ValueDomain

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SchemaObject
                  oracle.ifs.beans.TieSchemaObject
                      oracle.ifs.beans.ValueDomain

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  TieValueDomain

    public class ValueDomain

extends TieSchemaObject

Class used to store the validation definition that can be applied to an Attribute to ensure that LibraryObjects' values for that Attribute exist within a set of acceptable values.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` A textual description of this ValueDomain.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure each ValueDomain has a unique name.
`static java.lang.String` | `VALUEDOMAINPROPERTYBUNDLE_ATTRIBUTE` The PropertyBundle that defines values for this object.
`static int` | `VALUEDOMAINTYPE_ENUMERATED` The acceptable values for the ValueDomain are enumerated.
`static int` | `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM` The acceptable values for the ValueDomain are such that value < maximum.
`static int` | `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM` The acceptable values for the ValueDomain are such that value > minimum.
`static int` | `VALUEDOMAINTYPE_EXCLUSIVE_RANGE` The acceptable values for the ValueDomain are such that minimum < value < maximum.
`static int` | `VALUEDOMAINTYPE_MAXIMUM` The acceptable values for the ValueDomain are such that value <= maximum.
`static int` | `VALUEDOMAINTYPE_MINIMUM` The acceptable values for the ValueDomain are such that value >= minimum.
`static int` | `VALUEDOMAINTYPE_RANGE` The acceptable values for the ValueDomain are such that minimum <= value <= maximum.

Fields inherited from class oracle.ifs.beans.SchemaObject
`ACTIVE_ATTRIBUTE, NAME_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `ValueDomain(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a ValueDomain.

Method Summary
`protected static ValueDomain` | `constructValueDomain(LibrarySession session, S_LibraryObjectData data)` Internal use only: Constructs a ValueDomain for the specified data.
`static ValueDomain[]` | `findAll(LibrarySession session)` Returns the set of defined ValueDomains.
`static ValueDomain` | `findByName(LibrarySession session, java.lang.String name)` Returns the a ValueDomain matching the specified name.
`java.lang.String` | `getDescription()` Gets the description of this ValueDomain.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find ValueDomain instances by name.
`AttributeValue` | `getPropertyValue()` Gets the value of the ValueDomainPropertyBundle of this ValueDomain.
`ValueDomainPropertyBundle` | `getValueDomainPropertyBundle()` Gets the ValueDomainPropertyBundle of this ValueDomain.
`boolean` | `isAttributeValueInValueDomain(AttributeValue av)` Determines whether the specified attribute value lies within this ValueDomain.
`void` | `setDescription(java.lang.String description)` Sets the description of this ValueDomain.
`void` | `setEnumeratedValue(AttributeValue value)` Sets the enumerated values of the ValueDomainPropertyBundle of this ValueDomain.
`void` | `setValueDomainPropertyBundle(ValueDomainPropertyBundle bundle)` Sets the ValueDomainPropertyBundle of this ValueDomain.
`static java.lang.String` | `toValueDomainTypeLabel(int valueDomainType)` Converts the specified ValueDomainType constant to a localized label.
`static java.lang.String` | `toValueDomainTypeLabel(int valueDomainType, LibrarySession session)` Converts the specified ValueDomainType constant to a localized label, using the Localizer from the specified LibrarySession.
`static java.lang.String` | `toValueDomainTypeLabel(int valueDomainType, Localizer localizer)` Converts the specified ValueDomainType constant to a localized label, using the specified Localizer.
`static java.lang.String` | `valueDomainTypeResourceBundleKey(int valueDomainType)` Gets resource bundle key for the specified ValueDomain type.

Methods inherited from class oracle.ifs.beans.SchemaObject
`addCategory, constructSchemaObject, constructSchemaObjectVector, free, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, hasNameAttribute, isActive, postCreate, postUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preCreate, preFree, prePostAuditEvent, preUpdate, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `ValueDomain`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  Description copied from class: `ValueDomain`
  A textual description of this ValueDomain.

  See Also:
    Constant Field Values
  (Published)

### VALUEDOMAINPROPERTYBUNDLE_ATTRIBUTE

    public static final java.lang.String VALUEDOMAINPROPERTYBUNDLE_ATTRIBUTE

  Description copied from class: `ValueDomain`
  The PropertyBundle that defines values for this object.

  See Also:
    Constant Field Values
  (Published)

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  Description copied from class: `ValueDomain`
  A system-set attribute used to ensure each ValueDomain has a unique name.

  See Also:
    Constant Field Values
  (Published)

### VALUEDOMAINTYPE_ENUMERATED

    public static final int VALUEDOMAINTYPE_ENUMERATED

  Description copied from class: `ValueDomain`
  The acceptable values for the ValueDomain are enumerated.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, STRING, DATE, SCHEMAOBJECT, SYSTEMOBJECT, PUBLICOBJECT, or DIRECTORYOBJECT.

  See Also:
    Constant Field Values
  (Published)

### VALUEDOMAINTYPE_RANGE

    public static final int VALUEDOMAINTYPE_RANGE

  Description copied from class: `ValueDomain`
  The acceptable values for the ValueDomain are such that minimum <= value <= maximum.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, DOUBLE, or DATE.

  See Also:
    Constant Field Values
  (Published)

### VALUEDOMAINTYPE_MINIMUM

    public static final int VALUEDOMAINTYPE_MINIMUM

  Description copied from class: `ValueDomain`
  The acceptable values for the ValueDomain are such that value >= minimum.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, DOUBLE, or DATE.

  See Also:
    Constant Field Values
  (Published)

### VALUEDOMAINTYPE_MAXIMUM

    public static final int VALUEDOMAINTYPE_MAXIMUM

  Description copied from class: `ValueDomain`
  The acceptable values for the ValueDomain are such that value <= maximum.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, DOUBLE, or DATE.

  See Also:
    Constant Field Values
  (Published)

### VALUEDOMAINTYPE_EXCLUSIVE_RANGE

    public static final int VALUEDOMAINTYPE_EXCLUSIVE_RANGE

  Description copied from class: `ValueDomain`
  The acceptable values for the ValueDomain are such that minimum < value < maximum.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, DOUBLE, or DATE.

  See Also:
    Constant Field Values
  (Published)

### VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM

    public static final int VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM

  Description copied from class: `ValueDomain`
  The acceptable values for the ValueDomain are such that value > minimum.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, DOUBLE, or DATE.

  See Also:
    Constant Field Values
  (Published)

### VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM

    public static final int VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM

  Description copied from class: `ValueDomain`
  The acceptable values for the ValueDomain are such that value < maximum.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, DOUBLE, or DATE.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### ValueDomain

    protected ValueDomain(LibrarySession session,
                          java.lang.Long id,
                          java.lang.Long classId,
                          S_LibraryObjectData data)
                   throws IfsException

  Constructs a ValueDomain.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setDescription

    public final void setDescription(java.lang.String description)
                              throws IfsException

  Description copied from class: `ValueDomain`
  Sets the description of this ValueDomain.

  Parameters:
    `description` - the description
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDescription

    public final java.lang.String getDescription()
                                          throws IfsException

  Description copied from class: `ValueDomain`
  Gets the description of this ValueDomain.

  Returns:
    the description
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueDomainPropertyBundle

    public final void setValueDomainPropertyBundle(ValueDomainPropertyBundle bundle)
                                            throws IfsException

  Description copied from class: `ValueDomain`
  Sets the ValueDomainPropertyBundle of this ValueDomain.

  Parameters:
    `bundle` - the ValueDomainPropertyBundle
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getValueDomainPropertyBundle

    public final ValueDomainPropertyBundle getValueDomainPropertyBundle()
                                                                 throws IfsException

  Description copied from class: `ValueDomain`
  Gets the ValueDomainPropertyBundle of this ValueDomain.

  Returns:
    the ValueDomainPropertyBundle
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPropertyValue

    public final AttributeValue getPropertyValue()
                                          throws IfsException

  Description copied from class: `ValueDomain`
  Gets the value of the ValueDomainPropertyBundle of this ValueDomain.

  This method returns an array-type AttributeValue the represents the values allowed for this ValueDomain.

  The number of elements in the array-type AttributeValue depends on the domain type of the ValueDomainPropertyBundle:

  - `VALUEDOMAINTYPE_ENUMERATED`: one element for each allowed value
  - `VALUEDOMAINTYPE_RANGE` or `VALUEDOMAINTYPE_ENUMERATED_RANGE`: two elements; [0] is the minimum and [1] is the maximum value
  - `VALUEDOMAINTYPE_MINIMUM` or `VALUEDOMAINTYPE_ENUMERATED_MINIMUM`: one element; [0] is the minimum value
  - `VALUEDOMAINTYPE_MAXIMUM` or `VALUEDOMAINTYPE_ENUMERATED_MAXIMUM`: one element; [0] is the maximum value

  Returns:
    the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValue

    public void setEnumeratedValue(AttributeValue value)
                            throws IfsException

  Description copied from class: `ValueDomain`
  Sets the enumerated values of the ValueDomainPropertyBundle of this ValueDomain.

  Parameters:
    `av` - the value
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### valueDomainTypeResourceBundleKey

    public static final java.lang.String valueDomainTypeResourceBundleKey(int valueDomainType)
                                                                   throws IfsException

  Description copied from class: `ValueDomain`
  Gets resource bundle key for the specified ValueDomain type.

  Call `LibrarySession.getResourceString` with the returned value to get a localized name for the specified ValueDomain type.

  Parameters:
    `valueDomainType` - the ValueDomain type
  Returns:
    the resource bundle key
  Throws:
    `IfsException` - (IFS-31400) if valueDomainType is invalid
  (Published)

### toValueDomainTypeLabel

    public static java.lang.String toValueDomainTypeLabel(int valueDomainType)
                                                   throws IfsException

  Description copied from class: `ValueDomain`
  Converts the specified ValueDomainType constant to a localized label. The default Localizer is used.

  Parameters:
    `valueDomainType` - the ValueDomainType constant.
  Returns:
    the label corresponding to the specified ValueDomainType constant.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### toValueDomainTypeLabel

    public static java.lang.String toValueDomainTypeLabel(int valueDomainType,
                                                          LibrarySession session)
                                                   throws IfsException

  Description copied from class: `ValueDomain`
  Converts the specified ValueDomainType constant to a localized label, using the Localizer from the specified LibrarySession.

  Parameters:
    `valueDomainType` - the ValueDomainType constant
    `session` - the LibrarySession, whose current Localizer will be used for the conversion
  Returns:
    the label corresponding to the specified ValueDomainType constant
  Throws:
    `IfsException` - if operation fails.
  (Published)

### toValueDomainTypeLabel

    public static java.lang.String toValueDomainTypeLabel(int valueDomainType,
                                                          Localizer localizer)
                                                   throws IfsException

  Description copied from class: `ValueDomain`
  Converts the specified ValueDomainType constant to a localized label, using the specified Localizer. If a null is specified for the Localizer, a temporary Localizer (constructed based on the default Locale) is used for the conversion.

  Parameters:
    `valueDomainType` - the ValueDomainType constant.
    `localizer` - the Localizer that performs the conversion
  Returns:
    the label corresponding to the specified ValueDomainType constant.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `ValueDomain`
  Returns the LibraryObjectLookupCache used by find ValueDomain instances by name.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static ValueDomain[] findAll(LibrarySession session)
                                 throws IfsException

  Description copied from class: `ValueDomain`
  Returns the set of defined ValueDomains.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of ValueDomains; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static ValueDomain findByName(LibrarySession session,
                                         java.lang.String name)
                                  throws IfsException

  Description copied from class: `ValueDomain`
  Returns the a ValueDomain matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the ValueDomain name
  Returns:
    the ValueDomain matching the specified name; or null if there exists no matching ValueDomain
  Throws:
    `IfsException` - if the operation fails.

### constructValueDomain

    protected static ValueDomain constructValueDomain(LibrarySession session,
                                                      S_LibraryObjectData data)
                                               throws IfsException

  Description copied from class: `ValueDomain`
  Internal use only: Constructs a ValueDomain for the specified data.

  For internal use only. Do not use this method.

  Parameters:
    `session` - the session
    `data` - the data
  Returns:
    the ValueDomain
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isAttributeValueInValueDomain

    public boolean isAttributeValueInValueDomain(AttributeValue av)
                                          throws IfsException

  Description copied from class: `ValueDomain`
  Determines whether the specified attribute value lies within this ValueDomain.

  Parameters:
    `av` - the attribute value
  Returns:
    whether the attribute value lies within this ValueDomain
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD